play.libs

## Class F.T4<A,B,C,D>

- java.lang.Object
- - play.libs.F.T4<A,B,C,D>

Enclosing class:
  F

    public static class F.T4<A,B,C,D>
    extends java.lang.Object

### Field Summary

Fields
`A` `_1`
`B` `_2`
`C` `_3`
`D` `_4`

### Constructor Summary

Constructors
Constructor and Description
`T4(A _1, B _2, C _3, D _4)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### _1

    public final A _1

#### _2

    public final B _2

#### _3

    public final C _3

#### _4

    public final D _4

### Constructor Detail

#### T4

    public T4(A _1,
              B _2,
              C _3,
              D _4)

### Method Detail

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`